»User:
»Password:
Remember Me? 
FireShot - Full webpage screenshot tool support forum / FireShot Browser Extension / Premium Support

Unable to use FireShot 0.98.65 with Firefox 37.0a2

Pages: 1
Posted:  18 Jan 2015 07:32
Plugin version: 0.98.65
OS: Windows 7 Professional
Browser version: Firefox Developer Edition 37.0a2

Error: FireShot is incompatible with Firefox Developer Edition 37.0a2
This add-on is not compatible with your version of Firefox because of the following:
Add-on has opted into strict compatibility checking.

Looks like you guys need to get a new version of FireShot out there that is compatible with FireFox 37.x.
Pages: 1

 

 

This is the Premium Support area for the users who have purchased FireShot Pro or Screenshot Studio products.

Please Login or Register to see a full thread.

 

 



Recent topics Replies Views Last Poster
Capturing Entire Page Screenshot doesn't work anymore in PC Chrome
3 950
Multi-page long page PDF
0 810
manual confirm installation in chrome
12 836
Bug Report- Firefox, Fireshot Update, Windows XP
0 3215
Where is my screenshot chrome extension?
0 3379
Unable to use Fireshot in new version of Firefox
7 870
Firefox Developer
1 3640
Suppress update prompt
2 829
Border around of website PDF
0 825
Understanding Fireshot - Bitmap or Text..
2 2838